#!/bin/bash

. install.inc
. drive.inc

declare -a drives

drives=("$@")

if [ ${#drives[@]} -eq 0 ]; then
    echo "Usage install.sh /dev/drive1 [/dev/drive2 [/dev/drive3 ]]"
    exit 1
fi

get_streams
get_latest_maas_id

for drive in "${drives[@]}"; do
    setup_drive "$drive"
    install_syslinux "$drive"
    download_version "$release_version" "$drive"
    install_version "$release_version" "$drive"
    update_syslinux_menu "$drive"
done
cleanup_temp
